activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hiram Chirino" <hi...@hiramchirino.com>
Subject Re: Using embedded broker with spring in activemq 4.0.1
Date Fri, 23 Jun 2006 14:30:11 GMT
ActiveMQ requires spring 1.x at the moment.  There was an incompatible
change done to spring 2.x which broker our xbean integration be that
has subsequently been fixed in spring and xbean and we need to upgrade
ActiveMQ to the new version of xbean and spring.

On 6/23/06, Rohnny Moland <rmoland@gmail.com> wrote:
> Hi,
>
> Trying to setup an embedded broker in activemq 4.0.1 using spring
> 2.0-rc1 I get this error:
>
> Exception in thread "main"
> org.springframework.beans.factory.BeanCreationException: Error creating
> bean with name 'broker' defined in class path resource
> [serverContext.xml]: Invocation of init method failed; nested exception
> is java.lang.NoClassDefFoundError:
> org/springframework/beans/factory/xml/DefaultXmlBeanDefinitionParser
> Caused by: java.lang.NoClassDefFoundError:
> org/springframework/beans/factory/xml/DefaultXmlBeanDefinitionParser
>         at
> org.apache.xbean.spring.context.ResourceXmlApplicationContext.loadBeanDefinitions(ResourceXmlApplicationContext.java:87)
>         at
> org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactory(AbstractRefreshableApplicationContext.java:89)
>         at
> org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:278)
>         at
> org.apache.xbean.spring.context.ResourceXmlApplicationContext.<init>(ResourceXmlApplicationContext.java:64)
>         at
> org.apache.xbean.spring.context.ResourceXmlApplicationContext.<init>(ResourceXmlApplicationContext.java:52)
>         at
> org.apache.activemq.xbean.BrokerFactoryBean.afterPropertiesSet(BrokerFactoryBean.java:76)
>         at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBeanFactory.java:901)
>         at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:870)
>         at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:393)
>         at
> org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:257)
>         at
> org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:168)
>         at
> org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:248)
>         at
> org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:332)
>         at
> org.springframework.context.support.ClassPathXmlApplicationContext.<init>(ClassPathXmlApplicationContext.java:92)
>         at
> org.springframework.context.support.ClassPathXmlApplicationContext.<init>(ClassPathXmlApplicationContext.java:77)
>         at
> org.springframework.context.support.ClassPathXmlApplicationContext.<init>(ClassPathXmlApplicationContext.java:68)
>         at com.corporater.transformer.remoting.JmsServer.main(JmsServer.java:13)
>
>
> Am I using wrong version of xbean-spring or something? Currently using 2.2.
>
> Thanks in advance,
> Rohnny
>


-- 
Regards,
Hiram

Blog: http://hiramchirino.com

Mime
View raw message